﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace WebApplication_Samples
{
    public partial class Sample1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                  
                Map1.CurrentExtent = new RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962);  
                Map1.MapUnit = GeographyUnit.Meter;

                GoogleOverlay google = new GoogleOverlay("GoogleMap");
                google.JavaScriptLibraryUri = new Uri("http://maps.google.com/maps/api/js?sensor=false&key=AIzaSyDskGLEoHaXCkhmAGufEJKgUBbhwMb7O58");
                google.GoogleMapType = GoogleMapType.Normal;
                //google.GoogleStreetView = new GoogleStreetView(new PointShape(10, 10));
                google.TrafficEnabled = true;
                Map1.CustomOverlays.Add(google);

                //Map1.MapTools.MouseCoordinate.Enabled = true;
                //Map1.MapTools.MouseCoordinate.MouseCoordinateType = MouseCoordinateType.DegreesMinutesSecondsLatitudeLongitude;
                ////Map1.MapTools.Logo.Enabled = true;
                ////Map1.MapTools.Logo.ImageUri = new Uri(@"D:\Riyaz3rdoct\Riyaz\Riyaz System(89)\Projects\WebApplication_Samples\WebApplication_Samples\MapData\shadowA40.png");

                //Map1.MapTools.MeasureMapTool.Enabled = true;

                //Map1.MapTools.MiniMap.Enabled = true;

                //Map1.MapTools.MouseMapTool.Enabled = true;
                //Map1.MapTools.MouseMapTool.TrackZoomMaskType = TrackZoomMaskType.Ctrl;

                //Map1.MapTools.OverlaySwitcher.Enabled = true;
                //Map1.MapTools.OverlaySwitcher.BackgroundColor = GeoColors.Orange;
                //Map1.MapTools.OverlaySwitcher.BaseOverlayTitle = "RIYAS";
                //Map1.MapTools.OverlaySwitcher.DynamicOverlayTitle = "Ashok";
                //Map1.MapTools.OverlaySwitcher.RoundedCornerColor = GeoColors.Blue;

                //Map1.MapTools.ScaleLine.Enabled = true;
                //Map1.MapTools.TouchMapTool.Enabled = true;

                ////Map1.MapTools.PanZoomBar.Enabled = false;
                ////Map1.MapTools.PanZoomBar.IsGlobeButtonEnabled = true;


                //Proj4Projection proj4 = new Proj4Projection();
                //proj4.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                //proj4.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

                //ShapeFileFeatureLayer shpFIRLayer = new ShapeFileFeatureLayer(@"C:\Data\MapData\FIR\FIRshapefile.shp");
                //shpFIRLayer.FeatureSource.Projection = proj4;
                //shpFIRLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle.FillSolidBrush.Color = GeoColor.FromArgb(0, GeoColor.StandardColors.Transparent);
                //shpFIRLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle.OutlinePen.Color = GeoColor.FromArgb(100,255,0,0);
                //shpFIRLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle.OutlinePen.Width = 0.001F;
                //shpFIRLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle.OutlinePen.LineJoin = DrawingLineJoin.Round;
                //shpFIRLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle.OutlinePen.StartCap = DrawingLineCap.Round;
                //shpFIRLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle.OutlinePen.EndCap = DrawingLineCap.Round;
                //shpFIRLayer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle = new TextStyle("FIR", new GeoFont("Calibri", 7, DrawingFontStyles.Bold), new GeoSolidBrush(GeoColor.FromArgb(200, 0, 64, 0)));
                //shpFIRLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                //LayerOverlay FIROverlay = new LayerOverlay("FIROverlay");
                //FIROverlay.Layers.Add("FIRLayer", shpFIRLayer);
                //Map1.CustomOverlays.Add(FIROverlay);
            }
        }
    }
}